# jwks\_setup

* *Endpoint URL*

  /api/v2/jwks\_setup

* *HTTP Method*

  POST

* *Description&#x20;*

  Triggers update of the JWKS used by the Data API. Once the JWKS is updated and validated, the Data API will use the corresponding `jwks_endpoint` to authenticate requests to the API.

## Request Headers

| Header        | Description                                                                                                                                                                                         |
| ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization | Specifies the authentication information of the user agent. For more information, see[Data API Authentication](https://docs.singlestore.com/db/v9.1/reference/data-api/data-api-authentication.md). |

## Request Body

The `POST /api/v2/jwks_setup` request does not require a request body.

## Response

For successful requests, the response will be an empty message body along with the HTTP status code *200 OK*.

On request failure, an HTTP status code corresponding to the error will be returned. See [Data API Error Handling](https://docs.singlestore.com/db/v9.1/reference/data-api/data-api-error-handling.md) for more information.

## Example (Shell)

Here's a sample cURL command that triggers the JWKS update using the `/api/v2/jwks_setup` endpoint:

```Shell
curl -X POST -u "root:YourPassword" https://hostname:port/api/v2/jwks_setup
```

***

Modified at: May 5, 2023

Source: [/db/v9.1/reference/data-api/data-api-endpoint-reference/jwks-setup/](https://docs.singlestore.com/db/v9.1/reference/data-api/data-api-endpoint-reference/jwks-setup/)

(An index of the documentation is available at /llms.txt)
